about summary refs log tree commit diff
path: root/tests/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/dependencies.sh')
-rw-r--r--tests/dependencies.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/dependencies.sh b/tests/dependencies.sh
index 440b6fae0c68..46f60c9bd334 100644
--- a/tests/dependencies.sh
+++ b/tests/dependencies.sh
@@ -1,5 +1,7 @@
 source common.sh
 
+clearStore
+
 drvPath=$($nixinstantiate dependencies.nix)
 
 echo "derivation is $drvPath"
@@ -13,7 +15,7 @@ if test -n "$dot"; then
     $dot < $TEST_ROOT/graph
 fi
 
-outPath=$($nixstore -rvv "$drvPath")
+outPath=$($nixstore -rvv "$drvPath") || fail "build failed"
 
 # Test Graphviz graph generation.
 $nixstore -q --graph "$outPath" > $TEST_ROOT/graph